<?php

	if ( strpos($_SERVER['PHP_SELF'],"connect.php") !== false ) {
		header( "Location: ../index.php" );
		die;
	}

	$connectdb = @mysqli_connect("localhost",DATABASE_USER,DATABASE_PASS);

	if ( mysqli_connect_errno() ) {
		die( "Gagal Koneksi MySQL! " . CRLF . mysqli_connect_error() );
	}


	function DBQuery( $perintahdb ) {
		global $connectdb;
		$sqlquery = @mysqli_query( $connectdb, $perintahdb );
		return $sqlquery;
	}

	function DBQueryFree( $sqlquery ) {
		@mysqli_free_result($sqlquery);
		return;
	}

	function DBFetchArray( $sqlquery, $result_type = MYSQLI_BOTH ) {
		$return = @mysqli_fetch_array($sqlquery,$result_type);
		if ( $return == NULL ) {
			return false;
		}
		return $return;
	}

	function DBFetchAssoc( $sqlquery ) {
		$return = @mysqli_fetch_assoc($sqlquery);
		if ( $return == NULL ) {
			return false;
		}
		return $return;
	}

	function DBFetchRow( $sqlquery ) {
		$return = @mysqli_fetch_row($sqlquery);
		if ( $return == NULL ) {
			return false;
		}
		return $return;
	}

	function DBNumFields( $sqlquery) {
		return @mysqli_num_fields($sqlquery);
	}

	function DBNumRows( $sqlquery) {
		return @mysqli_num_rows($sqlquery);
	}

	function DBError() {
		global $connectdb;
		return mysqli_error($connectdb);
	}

	function DBLastInsertID() {
		global $connectdb;
		return mysqli_insert_id($connectdb);
	}

	function DBSelect( $databasename ) {
		global $connectdb;
		return mysqli_select_db( $connectdb, $databasename );
	}

?>